Bug 1416191 - [abrt] lollypop: application.py:269:prepare_to_exit:AttributeError: 'NoneType' object has no attribute 'stop'
Summary: [abrt] lollypop: application.py:269:prepare_to_exit:AttributeError: 'NoneType...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: lollypop
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e7aa1d80e6bc7578793efe400b0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-24 19:44 UTC by Michael Kürschner
Modified: 2017-02-06 08:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-06 08:39:02 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (502 bytes, text/plain)
2017-01-24 19:45 UTC, Michael Kürschner
no flags Details
File: environ (1.08 KB, text/plain)
2017-01-24 19:45 UTC, Michael Kürschner
no flags Details

Description Michael Kürschner 2017-01-24 19:44:58 UTC
Description of problem:
Start a radio station playback

Version-Release number of selected component:
lollypop-0.9.224-1

Additional info:
reporter:       libreport-2.8.0
cmdline:        python3 /usr/bin/lollypop
executable:     /usr/bin/lollypop
kernel:         4.8.16-300.fc25.x86_64
pkg_fingerprint: 46FE 509E 0ACB 8044
pkg_vendor:     Fedora Project COPR (gnumdk/lollypop)
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
application.py:269:prepare_to_exit:AttributeError: 'NoneType' object has no attribute 'stop'

Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/lollypop/application.py", line 269, in prepare_to_exit
    self.charts.stop()
AttributeError: 'NoneType' object has no attribute 'stop'

Local variables in innermost frame:
position: 3000196944.54
action: None
self: <application.Application object at 0x7f50e004eab0 (lollypop+application+Application at 0x55e74272f220)>
param: None

Comment 1 Michael Kürschner 2017-01-24 19:45:03 UTC
Created attachment 1244055 [details]
File: backtrace

Comment 2 Michael Kürschner 2017-01-24 19:45:04 UTC
Created attachment 1244056 [details]
File: environ

Comment 3 MartinKG 2017-01-25 07:08:52 UTC
please try lollypop-0.9.229-1.fc25 from
https://koji.fedoraproject.org/koji/buildinfo?buildID=835911


Note You need to log in before you can comment on or make changes to this bug.